Bug 1281801 - Review Request: tinycompress - A library for compress audio offload in alsa
Review Request: tinycompress - A library for compress audio offload in alsa
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 07:49 EST by Peter Robinson
Modified: 2016-02-13 11:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-13 11:48:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2015-11-13 07:49:08 EST
SPEC: https://pbrobinson.fedorapeople.org/tinycompress.spec
SRPM: https://pbrobinson.fedorapeople.org/tinycompress-1.1.0-1.fc23.src.rpm

Description:
tinycompress is a library for compress audio offload in alsa

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=11819109
FAS: pbrobinson
Comment 1 Antonio Trande 2015-12-03 13:31:01 EST
- This one?

#%{_libdir}/pkgconfig/tinycompress.pc

- Check seems do nothing.

- Library is not 'Full RELRO' if packaged in F22

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (3 clause)", "GPL (v2 or later)",
     "Unknown or generated". 25 files have unknown license. Detailed output
     of licensecheck in
     /home/sagitter/1281801-tinycompress/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     tinycompress-devel , tinycompress-utils , tinycompress-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/sagitter/1281801-tinycompress/results/tinycompress-1.1.0-1.fc24.x86_64.rpm /home/sagitter/1281801-tinycompress/results/tinycompress-devel-1.1.0-1.fc24.x86_64.rpm /home/sagitter/1281801-tinycompress/results/tinycompress-utils-1.1.0-1.fc24.x86_64.rpm /home/sagitter/1281801-tinycompress/results/tinycompress-debuginfo-1.1.0-1.fc24.x86_64.rpm /home/sagitter/1281801-tinycompress/results/tinycompress-debuginfo-1.1.0-1.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/sagitter/1281801-tinycompress/results/tinycompress-1.1.0-1.fc24.x86_64.rpm /home/sagitter/1281801-tinycompress/results/tinycompress-devel-1.1.0-1.fc24.x86_64.rpm /home/sagitter/1281801-tinycompress/results/tinycompress-utils-1.1.0-1.fc24.x86_64.rpm /home/sagitter/1281801-tinycompress/results/tinycompress-debuginfo-1.1.0-1.fc24.x86_64.rpm /home/sagitter/1281801-tinycompress/results/tinycompress-debuginfo-1.1.0-1.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: tinycompress-1.1.0-1.fc24.x86_64.rpm
          tinycompress-devel-1.1.0-1.fc24.x86_64.rpm
          tinycompress-utils-1.1.0-1.fc24.x86_64.rpm
          tinycompress-debuginfo-1.1.0-1.fc24.x86_64.rpm
          tinycompress-1.1.0-1.fc24.src.rpm
tinycompress.x86_64: W: spelling-error Summary(en_US) alsa -> alas, salsa, balsa
tinycompress.x86_64: W: spelling-error %description -l en_US alsa -> alas, salsa, balsa
tinycompress-devel.x86_64: W: only-non-binary-in-usr-lib
tinycompress-devel.x86_64: W: no-documentation
tinycompress-utils.x86_64: W: spelling-error %description -l en_US Utilies -> Utilizes, Utilities
tinycompress-utils.x86_64: W: no-documentation
tinycompress-utils.x86_64: W: no-manual-page-for-binary crecord
tinycompress-utils.x86_64: W: no-manual-page-for-binary cplay
tinycompress.src: W: spelling-error Summary(en_US) alsa -> alas, salsa, balsa
tinycompress.src: W: spelling-error %description -l en_US alsa -> alas, salsa, balsa
tinycompress.src:58: W: macro-in-comment %{_libdir}
tinycompress.src: E: specfile-error warning: Macro expanded in comment on line 58: #%{_libdir}/pkgconfig/tinycompress.pc
5 packages and 0 specfiles checked; 1 errors, 11 warnings.




Requires
--------
tinycompress-devel (rpmlib, GLIBC filtered):
    libtinycompress.so.0()(64bit)
    tinycompress(x86-64)

tinycompress-utils (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libtinycompress.so.0()(64bit)
    rtld(GNU_HASH)
    tinycompress(x86-64)

tinycompress-debuginfo (rpmlib, GLIBC filtered):

tinycompress (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
tinycompress-devel:
    tinycompress-devel
    tinycompress-devel(x86-64)

tinycompress-utils:
    tinycompress-utils
    tinycompress-utils(x86-64)

tinycompress-debuginfo:
    tinycompress-debuginfo
    tinycompress-debuginfo(x86-64)

tinycompress:
    libtinycompress.so.0()(64bit)
    tinycompress
    tinycompress(x86-64)



Source checksums
----------------
ftp://ftp.alsa-project.org/pub/tinycompress/tinycompress-1.1.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : 96b76555263a4c240d46ecb4b180ddde6757d1f7758e2b5973663884c563e131
  CHECKSUM(SHA256) upstream package : 96b76555263a4c240d46ecb4b180ddde6757d1f7758e2b5973663884c563e131


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1281801
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Peter Robinson 2015-12-28 23:14:33 EST
Sorry, not sure from the above what I need to do close this review out
Comment 3 Antonio Trande 2015-12-29 10:18:13 EST
(In reply to Peter Robinson from comment #2)
> Sorry, not sure from the above what I need to do close this review out

> Library is not 'Full RELRO' if packaged in F22

https://fedoraproject.org/wiki/Changes/Harden_All_Packages#Summary.

> #%{_libdir}/pkgconfig/tinycompress.pc

Is there a pkgconfig-file ?
Comment 4 Upstream Release Monitoring 2016-02-13 11:22:39 EST
pbrobinson's scratch build of tinycompress-1.1.0-2.fc23.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12968201
Comment 5 Peter Robinson 2016-02-13 11:26:03 EST
src: https://pbrobinson.fedorapeople.org/tinycompress-1.1.0-2.fc23.src.rpm
spec: as above

The commented out file is removed. I don't intend to push it to F-22 so hardened is irrelevant (and it's not a long running process as per the < F-23 hardening guidelines). I don't believe there's anything blocking this approval now
Comment 6 Antonio Trande 2016-02-13 11:36:37 EST
Package approved.
Comment 7 Peter Robinson 2016-02-13 11:48:27 EST
thanks for the review

Note You need to log in before you can comment on or make changes to this bug.